> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get base workflow run

> get automation workflow run list



## OpenAPI

````yaml /swagger.json get /base/{baseId}/workflow/{workflowId}/run/{runId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /base/{baseId}/workflow/{workflowId}/run/{runId}:
    get:
      tags:
        - automation
      description: get automation workflow run list
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: string
          required: true
          name: workflowId
          in: path
        - schema:
            type: string
          required: true
          name: runId
          in: path
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: id of the step
                    status:
                      type: string
                      enum:
                        - success
                        - failed
                        - running
                        - canceled
                        - pending
                    nodeId:
                      type: string
                      description: id of the node
                    nodeType:
                      type: string
                      description: type of the node
                    nodeName:
                      type: string
                      description: node name
                    nodeCategory:
                      type: string
                      description: node category
                    createdTime:
                      type: string
                      description: time when the step was created
                    testedTime:
                      type: string
                      description: time when the node was tested
                    spent:
                      type: number
                      description: spent time
                    inputRaw:
                      nullable: true
                    outputRaw:
                      nullable: true
                    inputVariables:
                      type: object
                      description: The variables snapshot when executed
                    outputVariables:
                      type: object
                      description: The variables snapshot when executed
                    errorMsg:
                      type: string
                  required:
                    - id
                    - status
                    - nodeId
                    - nodeType
                    - nodeCategory
                    - createdTime
                description: workflow run history
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````